Subject: Re: NIU - Sun Neptune 10g - Transmit timed out reset (2.6.24)

From: Jesper Krogh <[email-masked]>
Date: Thu, 22 May 2008 18:32:07 +0200

David Miller wrote:
> From: Matheos Worku <[email-masked]>
> Date: Fri, 09 May 2008 15:36:17 -0700
> 
>> I have observed TX throughput degradation (and increased CPU 
>> utilization)  occurs with increased # of connections, when CPU count > 4 
>> CPUs.  I don't think it is related to the driver (or HW).
> 
> All transmits through a device are fully serialized currently,
> it's a known problem and something we plan to fix.

I google'd up this one:

http://vger.kernel.org/~davem/davem_tokyo08.pdf (slide 23+).

Does this mean that I can expect every 10G card to have this limitation
under Linux? Or are some known to be better than others?
(I can probably justify paying for another 10G card if I can expect to
gain the last 400MB/s).

Since I cannot push more than ~600MB/s through the NIC before a single 
cpu is bottlenecked, it seem most likely to be this TX throughput
thing I hit.

Thanks

Jesper
-- 
Jesper